Bug 197829 - Web Inspector: Formatter: pretty-print CSS using a Worker
Summary: Web Inspector: Formatter: pretty-print CSS using a Worker
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: 198806 198807
  Show dependency treegraph
 
Reported: 2019-05-12 22:46 PDT by Devin Rousso
Modified: 2019-06-12 14:34 PDT (History)
7 users (show)

See Also:


Attachments
Patch (12.02 KB, patch)
2019-05-12 22:53 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews213 for win-future (13.45 MB, application/zip)
2019-05-13 08:57 PDT, Build Bot
no flags Details
Patch (32.45 KB, patch)
2019-05-15 03:56 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-05-12 22:46:44 PDT
For extremely large CSS files, it can take a very long time for us to pretty-print it using CodeMirror.  Rather than pretty-print using the main thread (e.g. CodeMirror), we should do the same as JavaScript and pretty-print off the main thread (e.g. a Worker).
Comment 1 Devin Rousso 2019-05-12 22:49:59 PDT
<rdar://problem/36891532>
Comment 2 Devin Rousso 2019-05-12 22:53:03 PDT
Created attachment 369695 [details]
Patch

This is probably missing some edge cases, and should have some tests, but it's a start :)
Comment 3 Build Bot 2019-05-12 22:55:14 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2019-05-13 08:57:53 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2019-05-13 08:57:55 PDT Comment hidden (obsolete)
Comment 6 Devin Rousso 2019-05-15 03:56:58 PDT
Created attachment 369944 [details]
Patch
Comment 7 Build Bot 2019-05-15 03:58:53 PDT Comment hidden (obsolete)
Comment 8 WebKit Commit Bot 2019-06-06 16:35:18 PDT
Comment on attachment 369944 [details]
Patch

Clearing flags on attachment: 369944

Committed r246178: <https://trac.webkit.org/changeset/246178>
Comment 9 WebKit Commit Bot 2019-06-06 16:35:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Joseph Pecoraro 2019-06-06 16:43:43 PDT
Comment on attachment 369944 [details]
Patch

Nice!